/** 
 * @namespace 
 * @name filterlib 
*/

/** @lends filterlib */

var alphanumeric_lower = /[^a-z0-9]/;
/** Filters a string, removing all non alphanumeric lower case characters. */
var alphanumeric_lower = function (str) {
  return str.replace(alphanumeric_lower, '');
};
exports.alphanumeric_lower = alphanumeric_lower;


var alphanumeric = /[^a-zA-Z0-9]/;
/** Filters a string, removing all non alphanumeric characters. */
var alphanumeric = function (str) {
  return str.replace(alphanumeric, '');
};
exports.alphanumeric = alphanumeric;

var alphanumeric_special = /[^a-zA-Z0-9_\-. ]/;
/** Filters a string, removing all non alphanumeric + special characters. */
var alphanumeric_special = function (str) {
  return str.replace(alphanumeric_special, '');
};
exports.alphanumeric_special = alphanumeric_special;

var alphanumeric_special_url = /[^a-zA-Z0-9_\-. ]/;
/** Filters a string, removing all non alphanumeric, special and URL characters. */
var alphanumeric_special_url = function (str) {
  return str.replace(alphanumeric_special_url, '');
};
exports.alphanumeric_special_url = alphanumeric_special_url;
